<?php
// Configuración inicial del sistema
require_once 'includes/db.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $host = $_POST['host'] ?? 'localhost';
    $dbname = $_POST['dbname'] ?? 'sistema_cuotas';
    $username = $_POST['username'] ?? 'root';
    $password = $_POST['password'] ?? '';

    try {
        // Actualizar configuración de la base de datos
        $dbContent = "<?php
\$host = '$host';
\$dbname = '$dbname';
\$username = '$username'; 
\$password = '$password';

try {
    \$pdo = new PDO(\"mysql:host=\$host;dbname=\$dbname;charset=utf8\", \$username, \$password);
    \$pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch (PDOException \$e) {
    die(\"Error de conexión: \" . \$e->getMessage());
}
?>";

        file_put_contents('includes/db.php', $dbContent);

        // Crear tablas en la base de datos
        $pdo = new PDO("mysql:host=$host;charset=utf8", $username, $password);
        $pdo->exec("CREATE DATABASE IF NOT EXISTS $dbname");
        $pdo->exec("USE $dbname");
        
        $sql = file_get_contents('database.sql');
        $pdo->exec($sql);

        $success = "Instalación completada correctamente. <a href='public/login.php'>Iniciar sesión</a>";
    } catch (PDOException $e) {
        $error = "Error durante la instalación: " . $e->getMessage();
    }
}
?>
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Instalación del Sistema</title>
    <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100">
    <div class="min-h-screen flex items-center justify-center">
        <div class="bg-white p-8 rounded-lg shadow-md w-full max-w-md">
            <h1 class="text-2xl font-bold text-center mb-6">Configuración Inicial</h1>
            
            <?php if (isset($error)): ?>
                <div class="bg-red-100 border border-red-400 text-red-700 px-4 py-3 rounded mb-4">
                    <?= $error ?>
                </div>
            <?php endif; ?>

            <?php if (isset($success)): ?>
                <div class="bg-green-100 border border-green-400 text-green-700 px-4 py-3 rounded mb-4">
                    <?= $success ?>
                </div>
            <?php else: ?>
                <form method="POST">
                    <div class="mb-4">
                        <label class="block text-gray-700 text-sm font-bold mb-2">Servidor MySQL</label>
                        <input type="text" name="host" value="localhost" required 
                               class="w-full px-3 py-2 border rounded">
                    </div>
                    
                    <div class="mb-4">
                        <label class="block text-gray-700 text-sm font-bold mb-2">Nombre de la Base de Datos</label>
                        <input type="text" name="dbname" value="sistema_cuotas" required
                               class="w-full px-3 py-2 border rounded">
                    </div>
                    
                    <div class="mb-4">
                        <label class="block text-gray-700 text-sm font-bold mb-2">Usuario MySQL</label>
                        <input type="text" name="username" value="root" required
                               class="w-full px-3 py-2 border rounded">
                    </div>
                    
                    <div class="mb-6">
                        <label class="block text-gray-700 text-sm font-bold mb-2">Contraseña MySQL</label>
                        <input type="password" name="password"
                               class="w-full px-3 py-2 border rounded">
                    </div>
                    
                    <button type="submit" 
                            class="w-full bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded">
                        Instalar Sistema
                    </button>
                </form>
            <?php endif; ?>
        </div>
    </div>
</body>
</html>