</main>

    <footer class="bg-gray-800 text-white mt-8">
        <div class="max-w-7xl mx-auto py-6 px-4 sm:px-6 lg:px-8">
            <div class="flex flex-col md:flex-row justify-between items-center">
                <div class="mb-4 md:mb-0">
                    <p class="text-sm">&copy; <?php echo date('Y'); ?> <?php echo COMPANY_NAME; ?>. Todos los derechos reservados.</p>
                </div>
                <div class="flex space-x-4">
                    <a href="index.php" class="text-gray-300 hover:text-white text-sm">
                        <i class="fas fa-home mr-1"></i> Inicio
                    </a>
                    <a href="add_credit.php" class="text-gray-300 hover:text-white text-sm">
                        <i class="fas fa-plus-circle mr-1"></i> Nuevo Crédito
                    </a>
                    <a href="list_overdue.php" class="text-gray-300 hover:text-white text-sm">
                        <i class="fas fa-clock mr-1"></i> Cuotas Atrasadas
                    </a>
                </div>
            </div>
        </div>
    </footer>

    <script>
        // Manejo del menú móvil
        document.addEventListener('DOMContentLoaded', function() {
            const mobileMenuButton = document.querySelector('.mobile-menu-button');
            const mobileMenu = document.querySelector('.mobile-menu');

            if (mobileMenuButton && mobileMenu) {
                mobileMenuButton.addEventListener('click', function() {
                    mobileMenu.classList.toggle('hidden');
                });
            }

            // Cerrar alertas
            const alerts = document.querySelectorAll('[role="alert"]');
            alerts.forEach(alert => {
                setTimeout(() => {
                    alert.style.transition = 'opacity 0.5s ease-in-out';
                    alert.style.opacity = '0';
                    setTimeout(() => alert.remove(), 500);
                }, 5000);
            });

            // Confirmación para eliminar
            const deleteButtons = document.querySelectorAll('.delete-confirm');
            deleteButtons.forEach(button => {
                button.addEventListener('click', function(e) {
                    if (!confirm('¿Está seguro que desea eliminar este registro? Esta acción no se puede deshacer.')) {
                        e.preventDefault();
                    }
                });
            });

            // Formateo automático de campos de moneda
            const currencyInputs = document.querySelectorAll('.currency-input');
            currencyInputs.forEach(input => {
                input.addEventListener('input', function(e) {
                    let value = this.value.replace(/[^\d]/g, '');
                    if (value.length > 2) {
                        value = value.slice(0, -2) + '.' + value.slice(-2);
                    } else if (value.length > 0) {
                        value = '0.' + value.padStart(2, '0');
                    }
                    this.value = value;
                });
            });

            // Validación de formularios
            const forms = document.querySelectorAll('form[data-validate]');
            forms.forEach(form => {
                form.addEventListener('submit', function(e) {
                    const requiredFields = form.querySelectorAll('[required]');
                    let isValid = true;

                    requiredFields.forEach(field => {
                        if (!field.value.trim()) {
                            isValid = false;
                            field.classList.add('border-red-500');
                            
                            // Crear mensaje de error si no existe
                            let errorMessage = field.nextElementSibling;
                            if (!errorMessage || !errorMessage.classList.contains('error-message')) {
                                errorMessage = document.createElement('p');
                                errorMessage.classList.add('error-message', 'text-red-500', 'text-sm', 'mt-1');
                                field.parentNode.insertBefore(errorMessage, field.nextSibling);
                            }
                            errorMessage.textContent = 'Este campo es requerido';
                        }
                    });

                    if (!isValid) {
                        e.preventDefault();
                    }
                });
            });

            // Limpiar indicadores de error al escribir
            document.querySelectorAll('input, select, textarea').forEach(field => {
                field.addEventListener('input', function() {
                    this.classList.remove('border-red-500');
                    const errorMessage = this.nextElementSibling;
                    if (errorMessage && errorMessage.classList.contains('error-message')) {
                        errorMessage.remove();
                    }
                });
            });
        });

        // Función para imprimir recibo
        function printReceipt() {
            window.print();
        }
    </script>
</body>
</html>